Get the ownership-proof review status
Get the review status of the enterprise’s ownership proof for phone numbers hosted with another provider. Returns 404 when no proof has been submitted.
GET
/
enterprises
/
{enterprise_id}
/
reputation
/
external_verification
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const response of client.enterprises.reputation.externalVerification.list()) {
console.log(response);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.enterprises.reputation.external_verification.list(
"enterprise_id",
)
print(page.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
externalVerification, err := client.Enterprises.Reputation.ExternalVerification.List(
context.TODO(),
"enterprise_id",
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", externalVerification.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
var page = client.enterprises().reputation().externalVerification().list("enterprise_id");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.enterprises.reputation.external_verification.list("enterprise_id")
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->enterprises->reputation->externalVerification->list(
'enterprise_id',
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx enterprises:reputation:external-verification list \
--api-key 'My API Key' \
--enterprise-id 4a6192a4-573d-446d-b3ce-aff9117272a6curl --request GET \
--url https://api.telnyx.com/v2/enterprises/{enterprise_id}/reputation/external_verification \
--header 'Authorization: Bearer <token>'{
"data": {
"enterprise_id": "4a6192a4-573d-446d-b3ce-aff9117272a6",
"status": "pending",
"document_ids": [
"2a7e8337-e803-4057-a4ae-26c40eb0bc6c"
],
"phone_numbers": [
"+13125550142"
],
"rejection_reason": "The invoice does not show the phone numbers.",
"submitted_at": "2026-10-05T09:12:44Z",
"reviewed_at": "2026-10-06T14:03:10Z"
}
}Authorizations
Telnyx API key. Generate one at https://portal.telnyx.com/#/app/api-keys.
Path Parameters
Was this page helpful?
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const response of client.enterprises.reputation.externalVerification.list()) {
console.log(response);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.enterprises.reputation.external_verification.list(
"enterprise_id",
)
print(page.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
externalVerification, err := client.Enterprises.Reputation.ExternalVerification.List(
context.TODO(),
"enterprise_id",
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", externalVerification.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
var page = client.enterprises().reputation().externalVerification().list("enterprise_id");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.enterprises.reputation.external_verification.list("enterprise_id")
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->enterprises->reputation->externalVerification->list(
'enterprise_id',
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx enterprises:reputation:external-verification list \
--api-key 'My API Key' \
--enterprise-id 4a6192a4-573d-446d-b3ce-aff9117272a6curl --request GET \
--url https://api.telnyx.com/v2/enterprises/{enterprise_id}/reputation/external_verification \
--header 'Authorization: Bearer <token>'{
"data": {
"enterprise_id": "4a6192a4-573d-446d-b3ce-aff9117272a6",
"status": "pending",
"document_ids": [
"2a7e8337-e803-4057-a4ae-26c40eb0bc6c"
],
"phone_numbers": [
"+13125550142"
],
"rejection_reason": "The invoice does not show the phone numbers.",
"submitted_at": "2026-10-05T09:12:44Z",
"reviewed_at": "2026-10-06T14:03:10Z"
}
}